Bug 71748 - SIDEBAR: color picker preview doesn't fit the box
Summary: SIDEBAR: color picker preview doesn't fit the box
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium minor
Assignee: Maxim Monastirsky
URL:
Whiteboard: BSA target:4.3.0 target:4.2.0.0.beta2
Keywords: regression
Depends on:
Blocks: Sidebar-Properties
  Show dependency treegraph
 
Reported: 2013-11-18 16:15 UTC by Thomas van der Meulen
Modified: 2016-10-24 14:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (55.61 KB, image/png)
2013-11-18 16:15 UTC, Thomas van der Meulen
Details
screenshot showing that it's OK under Ubuntu (200.63 KB, image/png)
2013-11-26 18:11 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas van der Meulen 2013-11-18 16:15:32 UTC
Created attachment 89415 [details]
Screenshot

Problem description:  the collor selector previeuw is outside the box

Steps to reproduce:
1. ..open an pressentation and click on a object for example a rectangle.
2. ..See the collor selector (and screenshot)
3. ....

Current behavior: It is outside the box

Expected behavior: It is in side the box

Version: 4.2.0.0.alpha1
Build ID: c2b9ad37f8a8de9c7dbdd76c86aecf6388107056
              
Operating System: Mac OS X
Version: 4.2.0.0.alpha1
Last worked in: 4.1.3.2 release
Comment 1 Maxim Monastirsky 2013-11-18 20:07:49 UTC
Confirmed. Known for a very long time. See also Bug 68537 for a similar observation for the Paragraph panel.
Comment 2 Jean-Baptiste Faure 2013-11-26 14:20:40 UTC
Works for me in 4.2.0.beta1+ (Build ID: 12ebbb7e471d851eec940a47e6737c7c89d0f7f8)
under Ubuntu 13.10 x86-64

@Thomas, please, could you try again with the current beta version ?

Best regards. JBF
Comment 3 Thomas van der Meulen 2013-11-26 14:46:28 UTC
It is still there in Version: 4.2.0.0.beta1
Build ID: f4ca7b35f580827ad2c69ea6d29f7c9b48ebbac7 
os: mac osx 10.9
Comment 4 Maxim Monastirsky 2013-11-26 15:13:49 UTC
(In reply to comment #3)
> It is still there in Version: 4.2.0.0.beta1
Same here, Fedora 19 (64-bit).

Also looking at the git logs doesn't show anything that could fix it between alpha1 and beta1.

BTW the fix for this bug is trivial. That 'box' is really only a PNG file at icon-themes/galaxy/svx/res/symphony, so it can be edited by any image editor.
Comment 5 Jean-Baptiste Faure 2013-11-26 16:10:32 UTC
I confirm I do not see this bug in LibreOfficeDev 4.2.0.0.beta1 under Ubuntu 13.10 x86-64

Best regards. JBF
Comment 6 Maxim Monastirsky 2013-11-26 16:11:58 UTC
(In reply to comment #5)
> I confirm I do not see this bug in LibreOfficeDev 4.2.0.0.beta1 under Ubuntu
> 13.10 x86-64
Could you attach a screenshot please?
Comment 7 Jean-Baptiste Faure 2013-11-26 18:11:42 UTC
Created attachment 89852 [details]
screenshot showing that it's OK under Ubuntu

Here is a screenshot with 4.2.0.beta1 under Ubuntu 13.10 x86-64. The view is correct.

Best regards. JBF
Comment 8 Maxim Monastirsky 2013-11-26 18:39:21 UTC
@JBF: Indeed, I can confirm that it's not reproducible with Ambiance gtk2 theme, and also with Clearlooks theme. But it's reproducible with Adwaita & oxygen-gtk Themes. (And also on Mac, like the original report.)
Comment 9 Maxim Monastirsky 2013-12-01 11:37:29 UTC
Submitted a patch for review:
https://gerrit.libreoffice.org/6882
Comment 10 Commit Notification 2013-12-02 11:07:00 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e239f372c6abcd8371d0a666c828bf1c31195dd4

fdo#71748 Fix color pickers



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-12-02 11:08:19 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aac1da796aa1fc1a01a0cd8a6fac7d668a8c259e&h=libreoffice-4-2

fdo#71748 Fix color pickers


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-12-11 17:23:43 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9f169bd07b2cbaaa9fbe19ec99c07900ee5fbbd&h=libreoffice-4-2

fdo#71748 Fix also for hicontrast and sifr themes


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-12-24 00:05:41 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d48659915580abdc4d5e885608c0d61c79a5046

fdo#71748 Fix also for hicontrast and sifr themes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.